<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

$wp_customize->add_setting(
	'conttitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'CONTACT INFO', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conttitle',
	array(
		'settings'      => 'conttitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_titleClr', 'luzuk_premium_contactus_section', 'Title Color', '#FC404A');

$wp_customize->add_setting(
	'topconttxt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour ', 'luzuk Premium' )
	)
);

$wp_customize->add_control(
	'topconttxt',
	array(
		'settings'      => 'topconttxt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Text', 'luzuk Premium' )
	)
);

addColorPalatOption($wp_customize, 'luzuk_contactus_txtClr', 'luzuk_premium_contactus_section', 'Text Color', '#919191');


lzCustomLable($wp_customize, 'luzuk_sec_contactform', 'luzuk_premium_contactus_section', 'Contact Details');

$wp_customize->add_setting(
	'addresstitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'LOCATION', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'addresstitle',
	array(
		'settings'      => 'addresstitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Address Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '2097 Madison Ave Memphis Tennessee 38104', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address2',
	array(
		'settings'      => 'luzuk_contactus_address2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'emailtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'E-MAIL', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'emailtitle',
	array(
		'settings'      => 'emailtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email Title', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'woman01@Fake.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID One', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_email2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'cobeto2301@Fake.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email2',
	array(
		'settings'      => 'luzuk_contactus_email2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID Two', 'luzuk Premium' )
	)
);



$wp_customize->add_setting(
	'phonetitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'CALL US', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'phonetitle',
	array(
		'settings'      => 'phonetitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No. One', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '(111)222-333', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No. One', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '(222)111-333', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone2',
	array(
		'settings'      => 'luzuk_contactus_phone2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No. Two', 'luzuk Premium' )
	)
);


lzCustomLable($wp_customize, 'luzuk_sec_contactimage', 'luzuk_premium_contactus_section', 'Contact Image');

$wp_customize->add_setting(
'contact_image',
array(
    'sanitize_callback' => 'esc_url_raw'
)
);
$wp_customize->add_control(
new WP_Customize_Image_Control(
    $wp_customize,
    'contact_image',
    array(
        'section' => 'luzuk_premium_contactus_section',
        'settings' => 'contact_image',
        'description' => __('Recommended Image Size: 635X740px', 'luzuk-premium')
    )
)
);
$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'CONTACT US', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_formtext2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_formtext2',
	array(
		'settings'      => 'luzuk_formtext2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Text', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);


lzCustomLable($wp_customize, 'luzuk_sec_contpageclr', 'luzuk_premium_contactus_section', 'Contact Page Color Setting ');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr', 'luzuk_premium_contactus_section', 'Icon Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_contactus_titleicnClr', 'luzuk_premium_contactus_section', 'Icon Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Address , Phone No. , Email Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Phone No. , Email  Hover Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleClr', 'luzuk_premium_contactus_section', 'Form Title Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtxtClr', 'luzuk_premium_contactus_section', 'Form Text Color', '#707070');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#707070');


addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Input BG Color', '#EEEEEE');

addColorPalatOption($wp_customize, 'luzuk_contactus_formcshapeClr', 'luzuk_premium_contactus_section', 'Form Trangle Shape Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbrdClr', 'luzuk_premium_contactus_section', ' Border Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#FC404A');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#000');



// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));

