<?php
/**
 * Template Name: Contact Page
 *
 * @package luzuk Premium
 */
get_header(); 
?>
<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header" >
    <div class="container">
    	<!-- <div class="headinnbox">
            </?php the_title( '<h4 class="ht-main-title wow zoomIn">', '</h4>' ); ?>
        </div> -->
        <div class="clearfix"></div>
        <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?>
        <div class="breadcrumbbox wow zoomIn">
                <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
                <div class="clearfix"></div>
        </div>
        <?php endif ?> 
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
</header>
<main id="innerpage-box" >
	<div class="container">
		<div class="contact-address-area">
		    <?php 
		    	$cont_title = get_theme_mod('conttitle', 'CONTACT INFO');
		    	$cont_txt = get_theme_mod('topconttxt', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour ');

		    	$address_title = get_theme_mod('addresstitle', 'LOCATION');
				$address2 = get_theme_mod('luzuk_contactus_address2', '2097 Madison Ave Memphis Tennessee 38104');

				$email_title = get_theme_mod('emailtitle', 'E-MAIL');
		    	$email = get_theme_mod('luzuk_contactus_email', 'woman01@Fake.com');
		    	$email2 = get_theme_mod('luzuk_contactus_email2', 'cobeto2301@Fake.com');

		    	$phone_title = get_theme_mod('phonetitle', 'CALL US');
		    	$phone = get_theme_mod('luzuk_contactus_phone', '(111)222-333');
		    	$phone2 = get_theme_mod('luzuk_contactus_phone2', '(222)111-333');

				
			?>
			<div class="contact-title">
				<h4><?php echo $cont_title;?></h4>
				<p><?php echo $cont_txt;?></p>
			</div>
			<div class="cntlhsbx">		
	    		<div class="row mr-0">	

		    		<?php if($address_title ||  $address2){ ?>
					<div class="col-md-4 col-sm-12 col-xs-12 cntpgbx wow zoomIn">
			   			<div class="cntpgicn">
			   				<i class="fa fa-map-marker" aria-hidden="true"></i>
			   			</div>
			   			<div class="cntpgtxt">
			   				<h2><?php echo $address_title;?></h2>
			   				<p><?php echo $address2;?></p>
			   			</div>
				   		<div class="clearfix"></div>
				   	</div>
					 <?php } ?>

					<?php if($email || $email2){ ?>
					<div class="col-md-4 col-sm-12 col-xs-12 cntpgbx wow zoomIn">
			   			<div class="cntpgicn">
			   				<i class="fa fa-envelope" ></i>
			   			</div>
			   			<div class="cntpgtxt">
			   				<h2><?php echo $email_title;?></h2>
			   				<a href="mailto:<?php echo $email;?>"><p><?php echo $email;?></p></a>
		                    <a href="mailto:<?php echo $email2;?>"><p><?php echo $email2;?></p></a>
			   			</div>
				   		<div class="clearfix"></div>
				   	</div>
					 <?php } ?>	

				 	<?php if($phone || $phone2){ ?>
			   		<div class="col-md-4 col-sm-12 col-xs-12 cntpgbx wow zoomIn">
			   			<div class="cntpgicn">
			   				<i class="fa fa-phone" ></i>
			   			</div>
			   			<div class="cntpgtxt">
			   				<h2><?php echo $phone_title;?></h2>
			   				<a class="" href="tel:<?php echo $phone;?>"><p><?php echo $phone;?></p></a>
		                    <a class="" href="tel:<?php echo $phone2;?>"><p><?php echo $phone2;?></p></a>           
			   			</div>
				   		<div class="clearfix"></div>
				   	</div>
					<?php } ?>

				 	<div class="clearfix"></div>
			 		<script type="text/javascript">
					    var title = 0;
					    jQuery("#innerpage-box .cntpgbx").each(function(){
					      if ($(this).height() > title) { title = $(this).height(); }
					    });
					    jQuery("#innerpage-box .cntpgbx").height(title);


					    // on Resize change height

					    jQuery(window).resize(function(){
					      jQuery("#innerpage-box .cntpgbx").height("");
					      var title = 0;
					      jQuery("#innerpage-box .cntpgbx").each(function(){
					        if ($(this).height() > title) { title = $(this).height(); }
					      });
					      jQuery("#innerpage-box .cntpgbx").height(title);
					    });
					</script>
				</div>
			</div>

			<div class="row  row-eq-height  contform" >
				<div class="col-md-6 col-sm-12">
					<div class="contact-image">
						<?php 
	                        $contact_image = get_theme_mod('contact_image');
	                        if(!empty($contact_image)){
	                          echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($contact_image).'" class="img-responsive secondry-bg-img" />';
	                        }else{
	                          echo '<img alt="discount" src="'.get_template_directory_uri().'/images/contact.jpg" class="img-responsive" />';
	                        }
	                    ?>
					</div>
				</div>
				<div class="col-md-6 col-sm-12 wow zoomIn  contforminn">
					<div id="ht-contactus-wrap">
						<?php 
							$shortcodeLbl = get_theme_mod('luzuk_contactus_shortcode_lbl', 'CONTACT US');
							$luzuk_formtext2 = get_theme_mod('luzuk_formtext2', 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr sed diam nonumy eirmod');
							$shortcode = get_theme_mod('luzuk_contactus_shortcode', 'Add your form shortcode customizer');
							$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');
						?>
						<div class="contact-form">
							<div class="conforminn">

				                <div class="maintle inner-area-title"><?php echo $shortcodeLbl;?></div>	
				             	<p><?php echo $luzuk_formtext2;?></p>
				                <div class="ctform">
									<?php echo do_shortcode($shortcode);?>	
								</div>
								<div class="clearfix"></div>	
							</div>
							<div class="clearfix"></div>					
						</div>
					</div>
				</div>
				
				<div class="clearfix"></div>
			</div>
	    	
  			<div class="clearfix"></div>
		</div>
	</div>	
	<div class="contact-mapbox wow zoomIn">
		<?php echo $iframe; ?>
	</div>
</main>
<?php get_footer(); ?>