<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */
?>
<?php 
	if( get_theme_mod('sec_footerseTmargin',true) ) {
		$sec_footerseTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_footerseTmargin')).';';
	}
	if( get_theme_mod('sec_footersebottommargin',true) ) {
		$sec_footersebottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_footersebottommargin')).';';
	}
	if( get_theme_mod('sec_footersecopacity',true) ) {
		$sec_footersecopacity = 'opacity:'.esc_attr(get_theme_mod('sec_footersecopacity')).';';
	}

?>		
<footer class="footer-area" id="footer" style="<?php echo esc_attr($sec_footerseTmargin); ?>" "<?php echo esc_attr($sec_footersebottommargin); ?>" "<?php echo esc_attr($sec_footersecopacity); ?>">
		<div class="overlay" ></div>

	<?php if(is_active_sidebar('luzuk-footer1') || is_active_sidebar('luzuk-footer2') || is_active_sidebar('luzuk-footer3') || is_active_sidebar('luzuk-footer4') ){ ?>
		
		<div class="top-area ">
			<div class="container">
				<?php
					$newsletter_title = get_theme_mod('newsletter_title', 'Signup for Newsletter');	
					$newsletter_text = get_theme_mod('newsletter_text', 'We’ll never share your email address with a third party');	
					$luzuk_newsletter_shortcode = get_theme_mod('luzuk_newsletter_shortcode', '[Add Form shortcode]');
				?>
				<div class="newsletter ">
					<div class="row mr-0">
						 <?php if($newsletter_title || $newsletter_text ){ ?>
						<div class="col-lg-6 col-md-6">
							<div class="row mr-0">
								<div class="col-2">
									<div class="news-icn">
										<i class="fa fa-paper-plane-o"></i>
									</div>
								</div>
								<div class="col-10">
									<div class="newstitle">
									    <h3><?php echo ($newsletter_title);  ?></h3> 
										<p><?php echo ($newsletter_text);  ?></p> 
									</div>
								</div>
							</div>
						</div>
						 <?php }?>
						<div class="col-lg-6 col-md-6 pd-0">
							<div class="subscribe_shortcode ">			
								<div class="ht-newsletter-member-wrap">										
									<?php echo do_shortcode($luzuk_newsletter_shortcode);?>
								</div>
							</div>
							
						</div>
					</div>
				</div>
				<!-- <div class="newsletter">
					
				</div>  -->
				<div class="fbox ">
					<div class="row mr-0">
						<div class="s-footer col-lg-4 col-md-3 col-sm-6 col-xs-12 single-footer-1 ">
							<div class="single-footer wow zoomIn" data-wow-duration="1s" >
								<?php if(is_active_sidebar('luzuk-footer1')): 
									dynamic_sidebar('luzuk-footer1');
								endif;
								?>	
							</div>
						</div>

						<div class="s-footer col-lg-3 col-md-3 col-sm-6 col-xs-12 single-footer-2 ">
							<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
								<?php if(is_active_sidebar('luzuk-footer2')): 
									dynamic_sidebar('luzuk-footer2');
								endif;
								?>	
							</div>
						</div>

						<div class="s-footer col-lg-2 col-md-3 col-sm-6 col-xs-12 single-footer-3">
							<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
								<?php if(is_active_sidebar('luzuk-footer3')): 
									dynamic_sidebar('luzuk-footer3');
								endif;
								?>	
							</div>
						</div>

						<div class="s-footer col-lg-3 col-md-3 col-sm-6 col-xs-12 single-footer-4" >
							<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
								<?php if(is_active_sidebar('luzuk-footer4')): 
									dynamic_sidebar('luzuk-footer4');
								endif;
								?>	
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php } ?>

	<?php 

		if( get_theme_mod('sec_bottomareaTmargin',true) ) {
			$sec_bottomareaTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_bottomareaTmargin')).';';
		}
		if( get_theme_mod('sec_bottomareabottommargin',true) ) {
			$sec_bottomareabottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_bottomareabottommargin')).';';
		}
		
	?>		
	<?php 
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
		<div class="bottom-area wow zoomIn" style="<?php echo esc_attr($sec_bottomareaTmargin); ?>" "<?php echo esc_attr($sec_bottomareabottommargin); ?>">
			<div class="container">
				<div class="col-md-12 col-sm-12 col-xs-12 pd-0">
					<div class="footer-text">
						<?php if($footercopyright){ ?>
								<?php echo $footercopyright;?>
						<?php } ?>
					</div>
				</div>
			</div>
		</div>
</footer>
<!-- <script>
        var maxHeight = -1,
        elems = document.querySelectorAll(".footer-area .s-footer > *");
        elems = [].slice.call(elems) // Now a true Array

        elems.forEach(function(e){
            maxHeight = Math.max(maxHeight, e.offsetHeight);
        });

        elems.forEach(function(e){
            e.style.height = maxHeight + "px";
        });

  </script> -->
<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>

<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script> 

<?php wp_footer(); ?>

<!-- <a id="back2Top" title="Back to top" href="#">&#10148; </a> -->
	<a id="back2Top" title="Back to top" href="#"> 
		<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g fill='#000'><path d="M2 17l-2 7 7-2zM3 16L16 3l5 5L8 21zM22 7l1-1c2-2-3-7-5-5l-1 1 5 5z"></path></g></svg>
	</a>
</body>
</html>
