<?php 
// furProduct Categories SECTION START HERE 
/*============pRODICT CATEGORIES PANEL============*/
$wp_customize->add_section(
    'furcatproproduct_section',
    array(
        'title'         => __( 'Category Products 1', 'luzuk Premium' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);

// ENABLE/DISABLE product category SECTION
$wp_customize->add_setting(
    'furcatproduct_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'furcatproduct_section_disable',
        array(
            'settings'      => 'furcatproduct_section_disable',
            'section'       => 'furcatproproduct_section',
            'label'         => __( 'Disable/ Enable Section', 'luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk Premium' ),
                'off' => __( 'No', 'luzuk Premium' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'furcatproduct', 'furcatproproduct_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'furcatproductsection_padding', 'furcatproproduct_section', 'Section Padding ');

$wp_customize->add_setting(
    'furcatproduct_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'furcatproduct_toppadding',
    array(
        'settings'      => 'furcatproduct_toppadding',
        'section'       => 'furcatproproduct_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'furcatproduct_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'furcatproduct_bottompadding',
    array(
        'settings'      => 'furcatproduct_bottompadding',
        'section'       => 'furcatproproduct_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'luzuk_furcatproduct_title_sub_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);


$wp_customize->add_setting(
    'Ladiesop_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'Ladiesop_image_heading',
        array(
            'settings'      => 'Ladiesop_image_heading',
            'section'       => 'furcatproproduct_section',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Ladiesop_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'Ladiesop_image',
        array(
            'section' => 'furcatproproduct_section',
            'settings' => 'Ladiesop_image',
            'description' => __('Recommended Image Size: 390X490px', 'luzuk-premium')
        )
    )
);


$wp_customize->add_setting('Ladiesop_link',   array('default'=> 'Add Link Here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('Ladiesop_link',
    array(
        'settings'      => 'Ladiesop_link',
        'section'       => 'furcatproproduct_section',
        'type'          => 'url',
        'label'         => __( 'Add Link For Image', 'Luzuk' )
    )
); 


$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_furcatproduct_title_sub_title_heading',
        array(
            'settings'      => 'luzuk_furcatproduct_title_sub_title_heading',
            'section'       => 'furcatproproduct_section',
            'label'         => __( 'Section Title', 'luzuk Premium' ),
        )
    )
);   
$wp_customize->add_setting(
    'luzuk_furcatproduct_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'LADIES LINGERIE', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'luzuk_furcatproduct_title',
    array(
        'settings'      => 'luzuk_furcatproduct_title',
        'section'       => 'furcatproproduct_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'luzuk Premium' )
    )
);

// Heading color
addColorPalatOption($wp_customize, 'fprodcat_Headingclr', 'furcatproproduct_section', 'Heading Color ','#000');

addColorPalatOption($wp_customize, 'fprodcat_Headingbrdclr', 'furcatproproduct_section', 'Heading Border Color','#707070');

addColorPalatOption($wp_customize, 'fprodcat_Headinghgbrdclr', 'furcatproproduct_section', 'Heading Highlight Border Color','#FF8000');




lzCustomLable($wp_customize, 'fprodcat_ChCategories', 'furcatproproduct_section', 'Choose Categories');

$choices = getWooCategories($isObject = false, $id=0, $isParents = 0);

// print_r($choices);

lzCheckBoxElement($wp_customize, 'luzuk_furcatproduct_categories', 'furcatproproduct_section', $choices, $default=0, $label=__('Please Select The Categories To Show & Use Image Same Size ', 'luzuk Premium'));


lzCustomLable($wp_customize, 'fprodcat_color', 'furcatproproduct_section', 'Section Color');


// $wp_customize->add_setting(
//     'furcatproduct_carttitle',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( 'Add To Cart', 'luzuk Premium' )
//     )
// );
// $wp_customize->add_control(
//     'furcatproduct_carttitle',
//     array(
//         'settings'      => 'furcatproduct_carttitle',
//         'section'       => 'furcatproproduct_section',
//         'type'          => 'text',
//         'label'         => __( 'Cart Button Text ', 'luzuk Premium' )
//     )
// );

//addColorPalatOption($wp_customize, 'fprodcat_adbtntxtclr', 'furcatproproduct_section', 'Add To Cart Button Text Color ', '#fff');

//addColorPalatOption($wp_customize, 'fprodcat_adbtntxtbgclr', 'furcatproproduct_section', 'Add To Cart Button Text BG Color ', '#FF8000');

//addColorPalatOption($wp_customize, 'fprodcat_adbtntxtbghvclr', 'furcatproproduct_section', 'Add To Cart Button Text BG Hover Color ', '#7A7A7A');

addColorPalatOption($wp_customize, 'fprodcat_cbtnicnclr', 'furcatproproduct_section', 'Button Icon Color ', '#fff');

addColorPalatOption($wp_customize, 'fprodcat_cbtnicnbgclr', 'furcatproproduct_section', 'Button Icon BG Color ', '#7A7A7A');

addColorPalatOption($wp_customize, 'fprodcat_cbtnicnbghvclr', 'furcatproproduct_section', 'Button Icon BG Hover Color ', '#FF8000');

addColorPalatOption($wp_customize, 'fprodcat_titleclr', 'furcatproproduct_section', 'Product Title Color ', '#000');

addColorPalatOption($wp_customize, 'fprodcat_titlehvclr', 'furcatproproduct_section', 'Product Title Hover Color ', '#FF8000');

addColorPalatOption($wp_customize, 'fprodcat_regulerpriceclr', 'furcatproproduct_section', 'Product Regular Price Color ', '#656565');

addColorPalatOption($wp_customize, 'fprodcat_saleingpriceclr', 'furcatproproduct_section', 'Product Sale Price Color ', '#FC404A');


addColorPalatOption($wp_customize, 'furproduct_probg_color', 'furcatproproduct_section', 'Product Box BG Color ', '#fff');

addColorPalatOption($wp_customize, 'fprodcat_sliderarrow', 'furcatproproduct_section', 'Slider Arrow Color', '#000');

addColorPalatOption($wp_customize, 'fprodcat_sliderarrowbg', 'furcatproproduct_section', 'Slider Arrow Bg Color', '#ECECEC');


addColorPalatOption($wp_customize, 'fprodcat_sliderarrowhvbg', 'furcatproproduct_section', 'Slider Arrow Bg Hover Color', '#FC404A');